/*	**************************************************************************************
    *									options.js
    *									==========
    *
    *	Author:	Geva Zeichner
	*	Forum:	http://forums.mozillazine.org/viewtopic.php?t=408043
    *	Date:	02/06/2006
    *	Edited:	16/03/2007
    **************************************************************************************/

var imdbp_options =
{

Handle_Sync: function(item_id)
{
	var item_node = document.getElementById(item_id);
	var modify_id = item_node.getAttribute("modify_id");
	var modify_node = document.getElementById(modify_id);
	var pref_id = item_node.getAttribute("preference");
	var pref_value = document.getElementById(pref_id).value;
	
	if (item_node.disabled == false)
		this.Disable(modify_node, !pref_value);
},

Disable: function(curr_node, set)
{
	var i = 0;
	var rc;
	
	// Set disable for node
	curr_node.disabled = set;
	
	// Set disable for node's children
	if (curr_node.hasChildNodes())
	{
		rc = this.Disable(curr_node.childNodes[0], set);
		while (curr_node.childNodes[i].nextSibling != null)
		{
			if (!rc || set)
				rc = this.Disable(curr_node.childNodes[i].nextSibling, set);
			i++;
		}
	}
	
	return (curr_node.hasAttribute("modify_id") && !curr_node.checked);
}

};















